Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.util.finder
Class ClassLoaderInterfaceDelegate

    java.lang.Object
      com.opensymphony.xwork2.util.finder.ClassLoaderInterfaceDelegate

All Implemented Interfaces:
  ClassLoaderInterface

    public class ClassLoaderInterfaceDelegate

extends java.lang.Object
implements ClassLoaderInterface

Default implementation of ClassLoaderInterface, which delegates to an actual ClassLoader

Field Summary

Fields inherited from interface com.opensymphony.xwork2.util.finder.ClassLoaderInterface
`CLASS_LOADER_INTERFACE`

Constructor Summary
`ClassLoaderInterfaceDelegate(java.lang.ClassLoader classLoader)`

Method Summary
`ClassLoaderInterface` | `getParent()`
`java.net.URL` | `getResource(java.lang.String className)`
`java.io.InputStream` | `getResourceAsStream(java.lang.String name)`
`java.util.Enumeration<java.net.URL>` | `getResources(java.lang.String name)`
`java.lang.Class<?>` | `loadClass(java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassLoaderInterfaceDelegate

    public ClassLoaderInterfaceDelegate(java.lang.ClassLoader classLoader)

Method Detail

### loadClass

    public java.lang.Class<?> loadClass(java.lang.String name)
                                 throws java.lang.ClassNotFoundException

  Specified by:
    `loadClass` in interface `ClassLoaderInterface`
  Throws:
    `java.lang.ClassNotFoundException`

### getResource

    public java.net.URL getResource(java.lang.String className)

  Specified by:
    `getResource` in interface `ClassLoaderInterface`

### getResources

    public java.util.Enumeration<java.net.URL> getResources(java.lang.String name)
                                                     throws java.io.IOException

  Specified by:
    `getResources` in interface `ClassLoaderInterface`
  Throws:
    `java.io.IOException`

### getResourceAsStream

    public java.io.InputStream getResourceAsStream(java.lang.String name)

  Specified by:
    `getResourceAsStream` in interface `ClassLoaderInterface`

### getParent

    public ClassLoaderInterface getParent()

  Specified by:
    `getParent` in interface `ClassLoaderInterface`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.